org.apache.olingo.odata2.client.api.uri

## Interface EdmURIBuilder

- All Known Implementing Classes:
    EdmURIBuilderImpl

      public interface EdmURIBuilder

  This is an Edm Uri Builder

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `EdmURIBuilder` | `addCustomQueryOption(String paramName, Object paramValue)` Adds custom query option
    `EdmURIBuilder` | `addQueryOption(QueryOption option, String value)` Adds the specified query option to the URI.
    `EdmURIBuilder` | `appendCountSegment()` Appends count segment to the URI.
    `EdmURIBuilder` | `appendEntitySetSegment(EdmEntitySet entitySet)` Appends EntitySet segment to the URI.
    `EdmURIBuilder` | `appendFunctionImportParameters(Map<EdmParameter,Object> functionImportParams)` Appends function import parameters
    `EdmURIBuilder` | `appendFunctionImportSegment(EdmFunctionImport functionImport)` Appends Function import to the uri
    `EdmURIBuilder` | `appendKeySegment(EdmProperty property, Object value)` Appends key segment to the URI.
    `EdmURIBuilder` | `appendKeySegment(Map<EdmProperty,Object> segmentValues)` Appends key segment to the URI, for multiple keys.
    `EdmURIBuilder` | `appendMetadataSegment()` Appends metadata segment to the URI.
    `EdmURIBuilder` | `appendNavigationSegment(EdmNavigationProperty property)` Appends navigation segment to the URI.
    `EdmURIBuilder` | `appendPropertySegment(EdmProperty property, String segmentValue)` Appends property segment to the URI.
    `EdmURIBuilder` | `appendValueSegment()` Appends value segment to the URI.
    `URI` | `build()` Build OData URI.
    `EdmURIBuilder` | `expand(String... expandItems)` Adds expand query option.
    `EdmURIBuilder` | `filter(String filter)` Adds filter query option.
    `EdmURIBuilder` | `format(String format)` Adds format query option.
    `EdmURIBuilder` | `orderBy(String property)` Adds orderby query option.
    `EdmURIBuilder` | `select(String... selectItems)` Adds select query option.
    `EdmURIBuilder` | `skip(int skip)` Adds skip query option.
    `EdmURIBuilder` | `top(int top)` Adds top query option.

- - ### Method Detail

    - #### appendEntitySetSegment

          EdmURIBuilder appendEntitySetSegment(EdmEntitySet entitySet)

      Appends EntitySet segment to the URI.
      Parameters:
        `entitySet` - Edm entity set.
      Returns:
        current EdmURIBuilder instance

    - #### appendNavigationSegment

          EdmURIBuilder appendNavigationSegment(EdmNavigationProperty property)

      Appends navigation segment to the URI.
      Parameters:
        `property` - navigation property.
      Returns:
        current EdmURIBuilder instance

    - #### appendKeySegment

          EdmURIBuilder appendKeySegment(EdmProperty property,
                                         Object value)

      Appends key segment to the URI.
      Parameters:
        `property` - edm property
        `value` - key value
      Returns:
        current EdmURIBuilder instance

    - #### appendKeySegment

          EdmURIBuilder appendKeySegment(Map<EdmProperty,Object> segmentValues)

      Appends key segment to the URI, for multiple keys.
      Parameters:
        `segmentValues` - segment values.
      Returns:
        current EdmURIBuilder instance

    - #### appendPropertySegment

          EdmURIBuilder appendPropertySegment(EdmProperty property,
                                              String segmentValue)

      Appends property segment to the URI.
      Parameters:
        `property` - edmProperty
        `segmentValue` - segment value.
      Returns:
        current EdmURIBuilder instance

    - #### expand

          EdmURIBuilder expand(String... expandItems)

      Adds expand query option.
      Parameters:
        `expandItems` - items to be expanded in-line
      Returns:
        current EdmURIBuilder instance
      See Also:
        `QueryOption.EXPAND`

    - #### select

          EdmURIBuilder select(String... selectItems)

      Adds select query option.
      Parameters:
        `selectItems` - select items
      Returns:
        current EdmURIBuilder instance
      See Also:
        `QueryOption.SELECT`

    - #### orderBy

          EdmURIBuilder orderBy(String property)

      Adds orderby query option.
      Parameters:
        `property` - property string.
      Returns:
        current EdmURIBuilder instance
      See Also:
        `QueryOption.ORDERBY`

    - #### appendCountSegment

          EdmURIBuilder appendCountSegment()

      Appends count segment to the URI.
      Returns:
        current EdmURIBuilder instance

    - #### appendMetadataSegment

          EdmURIBuilder appendMetadataSegment()

      Appends metadata segment to the URI.
      Returns:
        current EdmURIBuilder instance

    - #### format

          EdmURIBuilder format(String format)

      Adds format query option.
      Parameters:
        `format` - media type acceptable in a response.
      Returns:
        current EdmURIBuilder instance
      See Also:
        `QueryOption.FORMAT`

    - #### appendValueSegment

          EdmURIBuilder appendValueSegment()

      Appends value segment to the URI.
      Returns:
        current EdmURIBuilder instance

    - #### addQueryOption

          EdmURIBuilder addQueryOption(QueryOption option,
                                       String value)

      Adds the specified query option to the URI.
      Concatenates value if the specified query option already exists.
      Parameters:
        `option` - query option.
        `value` - query option value.
      Returns:
        current EdmURIBuilder instance

    - #### filter

          EdmURIBuilder filter(String filter)

      Adds filter query option.
      Parameters:
        `filter` - filter string.
      Returns:
        current EdmURIBuilder instance
      See Also:
        `QueryOption.FILTER`

    - #### top

          EdmURIBuilder top(int top)

      Adds top query option.
      Parameters:
        `top` - maximum number of entities to be returned.
      Returns:
        current EdmURIBuilder instance
      See Also:
        `QueryOption.TOP`

    - #### skip

          EdmURIBuilder skip(int skip)

      Adds skip query option.
      Parameters:
        `skip` - number of entities to be skipped into the response.
      Returns:
        current EdmURIBuilder instance
      See Also:
        `QueryOption.SKIP`

    - #### addCustomQueryOption

          EdmURIBuilder addCustomQueryOption(String paramName,
                                             Object paramValue)

      Adds custom query option
      Parameters:
        `paramName` - parameter name
        `paramValue` - parameter value
      Returns:
        current EdmURIBuilder instance

    - #### appendFunctionImportSegment

          EdmURIBuilder appendFunctionImportSegment(EdmFunctionImport functionImport)

      Appends Function import to the uri
      Parameters:
        `functionImport` -
      Returns:
        current EdmURIBuilder instance

    - #### appendFunctionImportParameters

          EdmURIBuilder appendFunctionImportParameters(Map<EdmParameter,Object> functionImportParams)

      Appends function import parameters
      Parameters:
        `functionImportParams` -
      Returns:
        current EdmURIBuilder instance

    - #### build

          URI build()

      Build OData URI.
      Returns:
        OData URI.

Copyright © 2013-2022 The Apache Software Foundation. All Rights Reserved.